Subject: Re: bug#32463: 27.0.50; (logior -1) => 4611686018427387903

From: Live System User <[email-masked]>
Date: Sun, 19 Aug 2018 06:43:39 -0400

Andy Moreton <[email-masked]> writes:

> On Sat 18 Aug 2018, Paul Eggert wrote:
>
>> Pip Cet wrote:
>>
>>> Paul committed a patch in the meantime (independently, I think?) which
>>> does add tests. I'll try to write some more.
>>
>> Yes, I noticed the logior etc. problem separately and fixed it in master
>> without knowing about this bug report. There are some other bignum problems
>> too that need fixing and are in my pipeline.
>
> I'm not sure what is on your list of remaining issues, but here is mine:
>
> a) A bug in bignumcompare for 64bit Windows. Patch is here:
>    http://lists.gnu.org/archive/html/emacs-devel/2018-08/msg00487.html
>
> b) fmod_float has a bug:
>    http://lists.gnu.org/archive/html/emacs-devel/2018-08/msg00442.html
>
> c) Extend Fexpt to support bignums. Patch is here:
>    http://lists.gnu.org/archive/html/emacs-devel/2018-08/msg00503.html
>
> d) Extend Fceiling, Ffloor, Fround and Ftruncate to support bignums by
>    updating rounding_driver.
>
> Please describe any additional issues you have discovered.

  There also appears to be a bug dealing with date/time
  convesion (maybe a float issue?):

         M-: (date-to-time "Tue, 06 Mar 2018 11:17:02 -0500")
         Invalid date: Tue, 06 Mar 2018 11:17:02 -0500

  When the date/time is being parsed you eroneouse get:

        M-: (parse-time-string "Tue, 06 Mar 2018 11:17:02 -0500")
        (nil nil nil 6 3 2018 2 nil nil)

  With Emacs 26.1, you get:

         (2 17 11 6 3 2018 2 nil -18000)

  See bug#32443

  Thanks.

>     AndyM